#============================================================================
# uninstall_dir.mk


# this snippet defines a sequence of shell commands which will
# uninstall files from a directory which were copied to it by
# an install command.  it removes only those files which are found
# in the provided original source directory.  that directory may
# be in the current directory, else it is assumed to be in $srcdir
#
# To use this, set these shell variables
#
#  source_dir - the directory holding the original files, before installation 
#  dest_dir   - the directory where the files were installed
#
# and then interpolate $(uninstall_dir).  For example
#
#  source_dir=$(_HTML); dest_dir=$(htmldir); $(uninstall_dir)

uninstall_dir =	\
	if test -d "$$source_dir"; then d=; else d="$(srcdir)/"; fi; \
	for p in $$d$$source_dir/*; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -rf $(DESTDIR)$$dest_dir/$$f"; \
	  rm -rf $(DESTDIR)$$dest_dir/$$f; \
	done
